Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata.jaxrpcmapping
Class MethodParamPartsMapping

    java.lang.Object
      org.jboss.webservice.metadata.jaxrpcmapping.MethodParamPartsMapping

public class MethodParamPartsMapping
extends Object

XML mapping of the java-wsdl-mapping/service-endpoint-interface-mapping/service-endpoint-method-mapping/method-param-parts-mapping element.

Since:
  14-May-2004
Author:
  Thomas.Diesler@jboss.org

Constructor Summary
`MethodParamPartsMapping(ServiceEndpointMethodMapping serviceEndpointMethodMapping)`

Method Summary
`int` | `getParamPosition()`
`String` | `getParamType()`
`ServiceEndpointMethodMapping` | `getServiceEndpointMethodMapping()`
`WsdlMessageMapping` | `getWsdlMessageMapping()`
`void` | `setParamPosition(int paramPosition)`
`void` | `setParamType(String paramType)`
`void` | `setWsdlMessageMapping(WsdlMessageMapping wsdlMessageMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodParamPartsMapping

    public MethodParamPartsMapping(ServiceEndpointMethodMapping serviceEndpointMethodMapping)

Method Detail

### getServiceEndpointMethodMapping

    public ServiceEndpointMethodMapping getServiceEndpointMethodMapping()

### getParamPosition

    public int getParamPosition()

### setParamPosition

    public void setParamPosition(int paramPosition)

### getParamType

    public String getParamType()

### setParamType

    public void setParamType(String paramType)

### getWsdlMessageMapping

    public WsdlMessageMapping getWsdlMessageMapping()

### setWsdlMessageMapping

    public void setWsdlMessageMapping(WsdlMessageMapping wsdlMessageMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.